%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Summary: PyMOL Molecular Graphics System
Name: pymol
Version: 1.1
Release: 10.20081015svn3468%{?dist}
License: MIT and BSD and ZPLv2.0 and Bitstream Vera and OFL
Group: Applications/Engineering
URL: http://www.pymol.org
# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
#  svn co -r 3468 https://pymol.svn.sourceforge.net/svnroot/pymol/branches/b11/pymol pymol-1.1
#  tar cvzf pymol-1.1-20081015svn3468.tar.gz pymol-1.1
Source0: pymol-1.1-20081015svn3468.tar.gz
# the source for this xpm pulled from:
# https://launchpad.net/ubuntu/intrepid/+source/pymol/1.1~beta3-3/+files/pymol_1.1~beta3-3.diff.gz
Source1: %{name}-32.xpm
Source2: %{name}.desktop
Patch0: setup.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: desktop-file-utils
BuildRequires: freeglut-devel
BuildRequires: freetype-devel
BuildRequires: libGL-devel
BuildRequires: libpng-devel
BuildRequires: python-setuptools-devel
Requires: python-numeric
Requires: python-pmw
Requires: tcl
Requires: tk

%description
PyMOL is a molecular graphics system with an embedded Python
interpreter designed for real-time visualization and rapid generation
of high-quality molecular graphics images and animations. It is fully
extensible and available free to everyone via the "Python"
license. Although a newcomer to the field, PyMOL can already be used
to generate stunning images and animations with ease. It can also
perform many other valuable tasks (such as editing PDB files) to
assist you in your research.

%package wxpython
Summary: wxpython interface for PyMOL
Group: Applications/Engineering
Requires: wxPython
Requires: %{name} = %{version}-%{release}

%description wxpython

the pymol-wxpython includes the pmg_wx module for developers to access
pymol via wxpython widgets.

%prep
%setup -q
%patch0 -p0
chmod 644 contrib/champ/feedback2.c
chmod 644 contrib/champ/feedback2.h
chmod 644 contrib/champ/err2.c

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} -c 'import setuptools; execfile("setup.py")' build

%install
rm -rf ${RPM_BUILD_ROOT}
%{__python} -c 'import setuptools; execfile("setup.py")' install --skip-build --root ${RPM_BUILD_ROOT}
echo "#!/bin/sh" > pymol
echo "%{__python} %{python_sitearch}/pymol/__init__.py \$*" >> pymol

chmod 755 ${RPM_BUILD_ROOT}%{python_sitearch}/pmg_tk/startup/apbs_tools.py
chmod 755 ${RPM_BUILD_ROOT}%{python_sitearch}/chempy/cex.py

mkdir -p ${RPM_BUILD_ROOT}%{python_sitearch}/pymol/pymol_path/data/pymol/matrices
cp -pr data/pymol/splash.png ${RPM_BUILD_ROOT}%{python_sitearch}/pymol/pymol_path/data/pymol/
cp -pr data/pymol/cmyk.png ${RPM_BUILD_ROOT}%{python_sitearch}/pymol/pymol_path/data/pymol/
cp -pr data/pymol/matrices/BLOSUM62 ${RPM_BUILD_ROOT}%{python_sitearch}/pymol/pymol_path/data/pymol/matrices/

mkdir -p ${RPM_BUILD_ROOT}%{python_sitearch}/pymol/pymol_path/data/demo
cp -pr data/demo/1hpv.r3d ${RPM_BUILD_ROOT}%{python_sitearch}/pymol/pymol_path/data/demo/
cp -pr data/demo/1tii.pdb ${RPM_BUILD_ROOT}%{python_sitearch}/pymol/pymol_path/data/demo/
cp -pr data/demo/cgo03.py ${RPM_BUILD_ROOT}%{python_sitearch}/pymol/pymol_path/data/demo/
cp -pr data/demo/il2.pdb ${RPM_BUILD_ROOT}%{python_sitearch}/pymol/pymol_path/data/demo/
cp -pr data/demo/pept.pdb ${RPM_BUILD_ROOT}%{python_sitearch}/pymol/pymol_path/data/demo/
cp -pr data/demo/pept.pkl ${RPM_BUILD_ROOT}%{python_sitearch}/pymol/pymol_path/data/demo/
chmod 644 ${RPM_BUILD_ROOT}%{python_sitearch}/pymol/pymol_path/data/demo/1tii.pdb

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
install -p -m 755 pymol ${RPM_BUILD_ROOT}%{_bindir}/

desktop-file-install --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE2}
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/pixmaps
install -p -m 644 %{SOURCE1} ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%doc AUTHORS LICENSE DEVELOPERS README
%{python_sitearch}/*egg-info
%{python_sitearch}/chempy/
%{python_sitearch}/pmg_tk/
%{python_sitearch}/pymol/
%{_bindir}/pymol
%{_datadir}/applications/pymol.desktop
%{_datadir}/pixmaps/pymol-32.xpm

%files wxpython
%defattr(-,root,root,-)
%{python_sitearch}/pmg_wx/

%changelog
* Tue Oct 21 2008 Tim Fenn <fenn@stanford.edu> - 1.1-10-20081015svn3468
- add demo files

* Mon Oct 20 2008 Tim Fenn <fenn@stanford.edu> - 1.1-9-20081015svn3468
- minor edit to defattr

* Sat Oct 18 2008 Tim Fenn <fenn@stanford.edu> - 1.1-8-20081015svn3468
- separate pmg_wx into -wxpython package, minor patch fix

* Fri Oct 17 2008 Tim Fenn <fenn@stanford.edu> - 1.1-7-20081015svn3468
- patch setup.py to remove opt flags

* Thu Oct 16 2008 Tim Fenn <fenn@stanford.edu> - 1.1-6-20081015svn3468
- SVN bump, minor edit to pymol.desktop

* Tue Oct 07 2008 Tim Fenn <fenn@stanford.edu> - 1.1-5-20080912svn3419
- fix optflags, svn co comment, buildrequires/requires

* Sun Oct 05 2008 Tim Fenn <fenn@stanford.edu> - 1.1-4-20080912svn3419
- fix license, add AUTHORS to %%doc, add python-numeric to requires
- fix optflags, permissions problems, minor fixes

* Thu Oct 02 2008 Tim Fenn <fenn@stanford.edu> - 1.1-3-20080912svn3419
- fix release tag, add egg-info, minor fixes

* Sun Sep 28 2008 Tim Fenn <fenn@stanford.edu> - 1.1-2
- add desktop file, fix buildrequires, fix SourceURL

* Fri Sep 12 2008 Tim Fenn <fenn@stanford.edu> - 1.1-1
- initial build
